# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit eutils

DESCRIPTION="Flaim is an embeddable database engine that provides a rich, powerful  feature set."
HOMEPAGE="http://flaim.sourceforge.net"
SRC_URI="http://ftp.disconnected-by-peer.at/flaim/${P}.tar.gz
	mirror://sourceforge/flaim/stable/flaim/source/${P}.tar.gz
	mirror://sourceforge/flaim/unstable/flaim/source/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc ~x86"
RESTRICT="mirror"
IUSE="static"

RDEPEND="!dev-lib/libflaimtk"

DEPEND="${RDEPEND}"

# S="${WORKDIR}/${P}/flaim"

src_prepare() {
	epatch "${FILESDIR}"/libflaim-pic-ldconfig-fortify.patch
}

src_compile() {
	cd flaim
	make DESTDIR="${D}" CXXFLAGS="${CXXFLAGS} -Wno-error" OSTYPE=`uname -s` HOSTTYPE=`uname -m`  || \
	die "Error compiling ${PN}"
}

src_install() {
	cd flaim
	make DESTDIR="${D}" install OSTYPE=`uname -s` HOSTTYPE=`uname -m` || \
	die "Error installing ${PN}"
}
