# Copyright 1999-2010 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
WANT_AUTOMAKE=1.9
ESVN_REPO_URI="https://simias.svn.sourceforge.net/svnroot/simias/branches/iFolder_3.9.1_updates/@${PV/1.9.1./}"
inherit eutils mono autotools subversion flag-o-matic

DESCRIPTION="Simias SimpleServer"
HOMEPAGE="http://www.ifolder.com/"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~amd64 ~arm ~x86"

COMMONDEP=">=dev-dotnet/log4net-1.2.9
	>=dev-db/libflaim-4.9.617"
RDEPEND="${COMMONDEP}
	dev-dotnet/xsp
	dev-lang/mono"
	
DEPEND="${COMMONDEP}
	>=dev-dotnet/xsp-2.1
	>=dev-lang/mono-2.2
	=net-libs/gsoap-2.7.9*
	!www-apps/ifolder-server"

#	=sys-devel/gcc-4.3*
#pkg_setup() {
#	if [[ $(gcc-major-version) -eq 4 ]]; then
#		if [[ $(gcc-minor-version) -ge 4 ]]; then
#			eerror "simias requires <gcc-4.4 in order to work correctly"
#			eerror "please compile it switching to gcc-4.3."
#			die "gcc 4.4 cannot build simias"
#		fi
#	fi
#}

src_prepare() {
	rm -rf dependencies
	epatch "${FILESDIR}"/simias-1.9.1-mono24-1.patch
	epatch "${FILESDIR}"/simias-1.8.2-libflaim-1.patch
	epatch "${FILESDIR}"/simias-1.8-use_system_gsoap-3.patch
	epatch "${FILESDIR}"/simias-1.8.3.9328.1-system_xsp-1.patch
	eautoreconf || die "eautoreconf failed"
}

src_configure() {
	append-flags -fno-strict-aliasing
	econf --with-runasclient  || die "configure failed"
}

src_compile() {
	emake -j1 || die "build failed"
}

src_install() {
	emake DESTDIR="${D}" install || die "install failed"
}
