# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

inherit eutils rpm5 versionator multilib

MY_PV=$(replace_version_separator 5 '-'  )
MY_PVV=$(replace_version_separator 3 'beta' $MY_PV )
MY_PVM=$(get_version_component_range 1-3 )
MY_PVR=$(get_version_component_range 1-4 )


DESCRIPTION="The iFolder clients for the iFolder Server"
HOMEPAGE="http://www.ifolder.com"
SRC_URI="http://demeter.uni-regensburg.de/OES11SP1/x64-CD1/suse/x86_64/ifolder3-clients-${MY_PV}.x86_64.rpm"
LICENSE="GPL2"

SLOT="0"
KEYWORDS="~x86 ~amd64"

IUSE=""

DEPEND=">=www-apps/ifolder3-enterprise-${MY_PVM}"
RDEPEND="${DEPEND}"

S=${WORKDIR}/srv/www/novell/clients/ifolder3/


src_unpack() {
	rpm5_unpack ${A}
}

src_install() {
	insinto /usr/$(get_libdir)/simias/server/update/mac
	doins ifolder3-mac.dmg
	insinto /usr/$(get_libdir)/simias/server/update/unix/default
	doins ifolder3-linux.tar.gz
	insinto /usr/$(get_libdir)/simias/server/update/unix/opensuse-linux
	doins ifolder3-openSUSE.tar.gz
	insinto /usr/$(get_libdir)/simias/server/update/unix/suse-linux-10.0
	doins ifolder3-linux.tar.gz
	insinto /usr/$(get_libdir)/simias/server/update/unix/suse-linux-11.0
	doins ifolder3-sled11.tar.gz
	insinto /usr/$(get_libdir)/simias/server/update/windows
	doins ifolder3-windows.exe ifolder3-windows-x64.exe
	insinto /usr/$(get_libdir)/simias/server/update
	doins AutoAccount.xml KeyRecovery.tar.gz install-ifolder-script.sh 
}
