# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
WANT_AUTOMAKE=1.9

ESVN_REPO_URI="https://ifolder.svn.sourceforge.net/svnroot/ifolder/branches/iFolder_3.9.1_updates/plugins/@${PV/3.9.1./}"
inherit autotools eutils mono subversion versionator multilib

MY_PV=$(replace_version_separator 3 '-'  )
MY_PVV=$(replace_version_separator 3 'beta' $MY_PV )
MY_PVM=$(get_version_component_range 1-2 )
MY_PVR=$(get_version_component_range 1-3 )


DESCRIPTION="Enterprise backend for iFolder"
HOMEPAGE="http://www.ifolder.com/"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
RESTRICT="mirror"

DEPEND="!net-misc/simias
	=www-apps/ifolder3-enterprise-${MY_PVR}*
        =dev-lang/mono-2.6*"
RDEPEND=">=dev-lang/mono-2.2
	=www-apps/ifolder3-enterprise-${MY_PVR}*"

src_prepare() {
#       rm -rf dependencies
        find ${S} -name *.dll -type f | xargs rm -fv
#       epatch "${FILESDIR}"/${MY_PVR}/use_system_gsoap.patch
        epatch "${FILESDIR}"/${MY_PVR}/use_libdir_for_executables.patch
        epatch "${FILESDIR}"/${MY_PVR}/mod_mono_path.patch
        # epatch "${FILESDIR}"/${MY_PVR}/use_webbindir_variable_configurein.patch
        epatch "${FILESDIR}"/${MY_PVR}/use_webbindir_variable_configurein_no_gsoap.patch
        epatch "${FILESDIR}"/${MY_PVR}/separate_client_server_dirs.patch
        epatch "${FILESDIR}"/${MY_PVR}/gentoo-openldap-path.patch
        eautoreconf || die "eautoreconf failed"
#	die
}

src_configure() {
	CSC=gmcs WSDL=wsdl econf || die "configure failed"
}

src_compile() {
        emake -j1 || die "build failed"
}

src_install() {
	make DESTDIR="${D}" install || die "Error install ${PN}"
}

